PATCH
/settings/checkout-featuresUpdates the checkout feature settings for your account.
Send only the fields that you want to change. Fields that you omit keep their current value.
If successful, your response includes a copy of the updated checkout feature settings entity.
Requires
checkout_settings.write permission.Request body
discounts_enabledboolean
Whether customers can enter discount codes at checkout.
audience_opt_instring
Whether the marketing consent checkbox is shown at checkout.
Values
neverDon't show the marketing consent checkbox at checkout.choiceShow the marketing consent checkbox at checkout, unchecked by default.
saved_payment_methods_enabledboolean
Whether customers can save payment methods at checkout for future purchases.
Response (200)
dataobjectrequired
Represents the checkout feature settings for your account.
discounts_enabledbooleanrequired
Whether customers can enter discount codes at checkout.
audience_opt_instringrequired
Whether the marketing consent checkbox is shown at checkout.
Values
neverDon't show the marketing consent checkbox at checkout.choiceShow the marketing consent checkbox at checkout, unchecked by default.
saved_payment_methods_enabledbooleanrequired
Whether customers can save payment methods at checkout for future purchases.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "discounts_enabled": true, "audience_opt_in": "choice"}{ "data": { "discounts_enabled": true, "audience_opt_in": "choice", "saved_payment_methods_enabled": true }, "meta": { "request_id": "3a2d1e4c-7b8f-4a6d-9c1e-2f4b6a8d0c3e" }}